summaryrefslogtreecommitdiff
path: root/dev-cpp/glibmm
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-05-04 15:14:42 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-05-04 15:14:42 +0100
commitb2e9b7dedc8fab52d158251db2e5ed796d0991ab (patch)
tree2f61a0922f0461fcbc558fc1485444c51889c03a /dev-cpp/glibmm
parent727bbbc88e5d023388a4924377613ab669b0569d (diff)
dev-cpp/glibmm, dev-libs/glib, dev-util/glib-codegen : version bump (needed for gimp 2.10)
Diffstat (limited to 'dev-cpp/glibmm')
-rw-r--r--dev-cpp/glibmm/Manifest1
-rw-r--r--dev-cpp/glibmm/glibmm-2.54.1.ebuild65
2 files changed, 66 insertions, 0 deletions
diff --git a/dev-cpp/glibmm/Manifest b/dev-cpp/glibmm/Manifest
new file mode 100644
index 00000000..a97723c4
--- /dev/null
+++ b/dev-cpp/glibmm/Manifest
@@ -0,0 +1 @@
+DIST glibmm-2.54.1.tar.xz 6837384 BLAKE2B 98e4acb5b80786a27195bea43cc425a45219078ef839e97c60c9e3f52b3a0b3c928e19469d679529b5091d8ac1953d4f315ea75618c3fcc8f33d15f6565b5783 SHA512 94f2a4d6972684e25e38ff2e6bcfc1e9c5e4d096856d3419320c14166e27e26b1ad69be434337e9b70c23842989988113521aae7a800ef2f29e81f1ae6c25a13
diff --git a/dev-cpp/glibmm/glibmm-2.54.1.ebuild b/dev-cpp/glibmm/glibmm-2.54.1.ebuild
new file mode 100644
index 00000000..925442a8
--- /dev/null
+++ b/dev-cpp/glibmm/glibmm-2.54.1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome2 multilib-minimal
+
+DESCRIPTION="C++ interface for glib2"
+HOMEPAGE="https://www.gtkmm.org"
+
+LICENSE="LGPL-2.1+ GPL-2+" # GPL-2+ applies only to the build system
+SLOT="2"
+KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="doc debug test"
+
+RDEPEND="
+ >=dev-libs/libsigc++-2.9.1:2[${MULTILIB_USEDEP}]
+ >=dev-libs/glib-2.50.0:2[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+"
+# dev-cpp/mm-common needed for eautoreconf
+
+src_prepare() {
+ if ! use test; then
+ # don't waste time building tests
+ sed 's/^\(SUBDIRS =.*\)tests\(.*\)$/\1\2/' \
+ -i Makefile.am Makefile.in || die "sed 1 failed"
+ fi
+
+ # don't build examples - we want to install example sources, not binaries
+ sed 's/^\(SUBDIRS =.*\)examples\(.*\)$/\1\2/' \
+ -i Makefile.am Makefile.in || die "sed 2 failed"
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" gnome2_src_configure \
+ $(use_enable debug debug-refcounting) \
+ $(multilib_native_use_enable doc documentation) \
+ --enable-deprecated-api
+}
+
+multilib_src_test() {
+ cd tests
+ default
+
+ for i in */test; do
+ ${i} || die "Running tests failed at ${i}"
+ done
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ find examples -type d -name '.deps' -exec rm -rf {} \; 2>/dev/null
+ find examples -type f -name 'Makefile*' -exec rm -f {} \; 2>/dev/null
+ dodoc -r examples
+}